var app = (function() {
    'use strict';
    var privateVariable = 'app fired!',
    docElem = document.documentElement;

    return {
        publicFunction: function() {
            console.log(privateVariable);
        },
        userAgentInit: function() {
            docElem.setAttribute('data-useragent', navigator.userAgent);
        }
    };
})();

(function() {
    'use strict';

    // Foundation JavaScript
    // Documentation can be found at: http://foundation.zurb.com/docs
    $(document).foundation();

    app.publicFunction();
    app.userAgentInit();
})();
